org.apache.ode.bpel.evt

## Class ProcessEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CorrelationEvent, ProcessInstanceEvent

      public abstract class ProcessEvent
      extends BpelEvent

  Base class for process events.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getProcessId()`
    `javax.xml.namespace.QName` | `getProcessName()` Gets process name.
    `void` | `setProcessId(javax.xml.namespace.QName processId)`
    `void` | `setProcessName(javax.xml.namespace.QName processName)`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, getType, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessEvent

          public ProcessEvent()

  - ### Method Detail

    - #### setProcessId

          public void setProcessId(javax.xml.namespace.QName processId)

    - #### getProcessId

          public javax.xml.namespace.QName getProcessId()

    - #### setProcessName

          public void setProcessName(javax.xml.namespace.QName processName)

    - #### getProcessName

          public javax.xml.namespace.QName getProcessName()

      Gets process name.
      Returns:
        the process name